
<mat-form-field>
  <label>
    <input matInput (keyup)="filterEvent($event.target.value)" placeholder="Поиск">
  </label>
</mat-form-field>

<table mat-table [dataSource]="dataSource" matSort matSortDisableClear class="mat-elevation-z8">

  <ng-container matColumnDef="date">
    <th mat-header-cell *matHeaderCellDef mat-sort-header> Дата </th>
    <td mat-cell *matCellDef="let element"> {{element.date}} </td>
  </ng-container>

  <!-- Position Column -->
  <ng-container matColumnDef="id">
    <th mat-header-cell class="center-cell" *matHeaderCellDef mat-sort-header> ID Водителя</th>
    <td mat-cell class="center-cell" *matCellDef="let element"> {{element.id}} </td>
  </ng-container>

  <!-- Name Column -->
  <ng-container matColumnDef="phone">
    <th mat-header-cell *matHeaderCellDef> Телефон </th>
    <td mat-cell *matCellDef="let element"> {{element.phone}} </td>
  </ng-container>

  <ng-container matColumnDef="balance_before">
    <th mat-header-cell class="center-cell" *matHeaderCellDef mat-sort-header> Баланс до </th>
    <td mat-cell class="center-cell" *matCellDef="let element"> {{element.balance_before}} </td>
  </ng-container>

  <ng-container matColumnDef="sum">
    <th mat-header-cell class="center-cell" *matHeaderCellDef mat-sort-header> Сумма </th>
    <td mat-cell class="center-cell" *matCellDef="let element"> {{element.sum}} </td>
  </ng-container>

  <ng-container matColumnDef="balance_after">
    <th mat-header-cell class="center-cell" *matHeaderCellDef mat-sort-header> Баланс после </th>
    <td mat-cell class="center-cell" *matCellDef="let element"> {{element.balance_after}} </td>
  </ng-container>

  <!-- Symbol Column -->
  <ng-container matColumnDef="type_operation">
    <th mat-header-cell class="width100" *matHeaderCellDef mat-sort-header> Тип операции </th>
    <td mat-cell class="width100" *matCellDef="let element"> {{element.type_operation}} </td>
  </ng-container>

  <ng-container matColumnDef="payment_system">
    <th mat-header-cell *matHeaderCellDef mat-sort-header> Система оплаты </th>
    <td mat-cell *matCellDef="let element"> {{element.payment_system}} </td>
  </ng-container>

  <ng-container matColumnDef="type_object">
    <th mat-header-cell class="width100" *matHeaderCellDef mat-sort-header> Тип объекта </th>
    <td mat-cell class="width100" *matCellDef="let element"> {{element.type_object}} </td>
  </ng-container>

  <ng-container matColumnDef="type_balance">
    <th mat-header-cell class="width100" *matHeaderCellDef mat-sort-header> Тип баланса </th>
    <td mat-cell class="width100" *matCellDef="let element"> {{element.type_balance}} </td>
  </ng-container>

  <ng-container matColumnDef="comment">
    <th class="comment" mat-header-cell *matHeaderCellDef> Комментарий </th>
    <td mat-cell *matCellDef="let element"> {{element.comment}} </td>
  </ng-container>

  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
  <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
</table>

<mat-paginator [length]="length"
               [pageSize]="pageSize"
               [pageSizeOptions]="pageSizeOptions">
</mat-paginator>

<div class="example-button-row" style="text-align: center">
  <button mat-raised-button color="primary" (click)="addBalance()">Пополнить баланс водителя</button>
</div>
